Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes

# Notifier Class Reference

List of all members.

## Public Member Functions
def | __init__
def | __str__
def | debug
def | debugCall
def | debugStateCall
def | error
def | getDebug
def | getInfo
def | getLogging
def | getOnlyTime
def | getSeverity
def | getTime
def | getWarning
def | info
def | setDebug
def | setInfo
def | setLogging
def | setServerDelta
def | setSeverity
def | setWarning
def | warning
## Static Public Attributes
int | serverDelta = 0
tuple | showTime = ConfigVariableBool('notify-timestamp', False)
| streamWriter = None

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | logger = `None`
| ) |  |

    name is a string
    logger is a Logger

    Create a new instance of the Notifier class with a given name
    and an optional Logger class for piping output to. If no logger
    specified, use the global default

## Member Function Documentation

def __str__ | ( |  | self | ) |

    Print handling routine

def debug | ( |  | self,
|  |  | debugString
| ) |  |

    Issue the debug message if debug flag is on

def debugCall | ( |  | self,
|  |  | debugString = `''`
| ) |  |

    If this notify is in debug mode, print the time of the
    call followed by the notifier category and
    the function call (with parameters).

def debugStateCall | ( |  | self,
|  |  | obj = `None`,
|  |  | fsmMemberName = `'fsm'`,
|  |  | secondaryFsm = `'secondaryFSM'`
| ) |  |

    If this notify is in debug mode, print the time of the
    call followed by the [fsm state] notifier category and
    the function call (with parameters).

def error | ( |  | self,
|  |  | errorString,
|  |  | exception = `StandardError`
| ) |  |

    Raise an exception with given string and optional type:
    Exception: error

def getDebug | ( |  | self | ) |

    Return whether the printing of debug messages is on or off

def getInfo | ( |  | self | ) |

    Return whether the printing of info messages is on or off

def getLogging | ( |  | self | ) |

    Return 1 if logging enabled, 0 otherwise

def getOnlyTime | ( |  | self | ) |

    Return the time as a string.
    The Only in the name is referring to not showing the date.

def getSeverity | ( |  | self | ) |

def getTime | ( |  | self | ) |

    Return the time as a string suitable for printing at the
    head of any notify message

def getWarning | ( |  | self | ) |

    Return whether the printing of warning messages is on or off

def info | ( |  | self,
|  |  | infoString
| ) |  |

    Print the given informational string, if info flag is on

def setDebug | ( |  | self,
|  |  | bool
| ) |  |

    Enable/Disable the printing of debug messages

def setInfo | ( |  | self,
|  |  | bool
| ) |  |

    Enable/Disable informational message  printing

def setLogging | ( |  | self,
|  |  | bool
| ) |  |

    Set the logging flag to int (1=on, 0=off)

def setServerDelta | ( |  | self,
|  |  | delta,
|  |  | timezone
| ) |  |

    Call this method on any Notify object to globally change the
    timestamp printed for each line of all Notify objects.

    This synchronizes the timestamp with the server's known time
    of day, and also switches into the server's timezone.

def setSeverity | ( |  | self,
|  |  | severity
| ) |  |

def setWarning | ( |  | self,
|  |  | bool
| ) |  |

    Enable/Disable the printing of warning messages

def warning | ( |  | self,
|  |  | warningString
| ) |  |

    Issue the warning message if warn flag is on

## Member Data Documentation

int serverDelta = 0`[static]`

tuple showTime = ConfigVariableBool('notify-timestamp', False)`[static]`

streamWriter = None`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties